<?php

/**
 * Photo Spot
 *
 * @version 1.0
 * @author Creative Pulse
 * @copyright Creative Pulse 2009
 * @license GNU/GPLv2
 * @link http://www.creativepulse.eu
 */


class PhotoSpotDatasourceContentArticlesAdmin extends PhotoSpotDatasourceAdmin {

	function edit() {
		$load_data = true;

		$warnings = array();

		if ($this->get('hfrm_datasource_edit', '') != '') {
			$load_data = false;
			$v_articles = trim($this->get('articles', ''));
			$v_categories = trim($this->get('categories', ''));
			$v_sections = trim($this->get('sections', ''));
			$v_order = trim($this->get('order', ''));

			if ($this->page_refreshed) {
				// ignore page refreshes
			}
			else if ($this->get('btn_cancel', '') != '') {
				// form cancelled
				$load_data = true;
			}
			else {
				// form submitted successfully

				$this->data_set('articles', $v_articles);
				$this->data_set('categories', $v_categories);
				$this->data_set('sections', $v_sections);
				$this->data_set('order', $v_order);
				$this->save();

				global $mainframe;
				$mainframe->enqueueMessage(JText::_('Datasource updated successfully'));
			}
		}

		if ($load_data) {
			$v_articles = $this->data_get('articles', '');
			$v_categories = $this->data_get('categories', '');
			$v_sections = $this->data_get('sections', '');
			$v_order = $this->data_get('order', '');
		}

		echo '
<form name="frm_datasource" method="post" action="index.php">
	<input type="hidden" name="hfrm_datasource_edit" value="' . microtime() . '" />
	<input type="hidden" name="option" value="' . htmlspecialchars(JRequest::getCmd('option')) . '" />
	<input type="hidden" name="task" value="' . htmlspecialchars(JRequest::getCmd('task')) . '" />
	<input type="hidden" name="id" value="' . htmlspecialchars(JRequest::getCmd('id')) . '" />

	<table cellspacing="10">
		<tr>
			<td valign="top">' . JText::_('Articles') . '</td>
			<td><input type="text" name="articles" value="' . htmlspecialchars($v_articles) . '" />
				&nbsp; ' . JText::_('Example') . ': 1, 2, 3
			</td>
		</tr>
		<tr>
			<td valign="top">' . JText::_('Sections') . '</td>
			<td><input type="text" name="sections" value="' . htmlspecialchars($v_sections) . '" />
				&nbsp; ' . JText::_('Example') . ': 1, 2, 3
			</td>
		</tr>
		<tr>
			<td valign="top">' . JText::_('Categories') . '</td>
			<td><input type="text" name="categories" value="' . htmlspecialchars($v_categories) . '" />
				&nbsp; ' . JText::_('Example') . ': 1, 2, 3
			</td>
		</tr>
		<tr>
			<td>' . JText::_('Order by') . '</td>
			<td>
				<select name="order">
					<option value="default"' . ($v_order == 'default' ? ' selected="selected"' : '') . '>' . JText::_('Default order') . '</option>
					<option value="title"' . ($v_order == 'title' ? ' selected="selected"' : '') . '>' . JText::_('Title') . '</option>
					<option value="cdate_desc"' . ($v_order == 'cdate_desc' ? ' selected="selected"' : '') . '>' . JText::_('Creation Date - Newer first') . '</option>
					<option value="cdate_asc"' . ($v_order == 'cdate_asc' ? ' selected="selected"' : '') . '>' . JText::_('Creation Date - Older first') . '</option>
					<option value="mdate_desc"' . ($v_order == 'mdate_desc' ? ' selected="selected"' : '') . '>' . JText::_('Last Modification Date - Newer first') . '</option>
					<option value="mdate_asc"' . ($v_order == 'mdate_asc' ? ' selected="selected"' : '') . '>' . JText::_('Last Modification Date - Older first') . '</option>
					<option value="random"' . ($v_order == 'random' ? ' selected="selected"' : '') . '>' . JText::_('Random') . '</option>
				</select>
			</td>
		</tr>
	</table>

	<div>
		<input type="submit" name="btn_apply" value="' . JText::_('Apply') . '" />
		<input type="submit" name="btn_cancel" value="' . JText::_('Cancel') . '" />
	</div>
</form>
';
	}

}

$engine = new PhotoSpotDatasourceContentArticlesAdmin();

?>