<?php

/**
 * Photo Spot
 *
 * @version 1.0
 * @author Creative Pulse
 * @copyright Creative Pulse 2009
 * @license GNU/GPLv2
 * @link http://www.creativepulse.eu
 */


class PhotoSpotDatasourceContentStoryAdmin extends PhotoSpotDatasourceAdmin {

	function setup() {
		$this->data_set('read_intro', '1');
		$this->data_set('read_fulltext', '1');
		$this->save();
	}

	function edit() {
		$load_data = true;

		$warnings = array();

		if ($this->get('hfrm_datasource_edit', '') != '') {
			$load_data = false;
			$v_article_id = trim($this->get('article_id', ''));
			$v_read_intro = trim($this->get('read_intro', '0'));
			$v_read_fulltext = trim($this->get('read_fulltext', '0'));

			if ($this->page_refreshed) {
				// ignore page refreshes
			}
			else if ($this->get('btn_cancel', '') != '') {
				// form cancelled
				$load_data = true;
			}
			else {
				// form submitted successfully

				$this->data_set('article_id', $v_article_id);
				$this->data_set('read_intro', $v_read_intro);
				$this->data_set('read_fulltext', $v_read_fulltext);
				$this->save();

				global $mainframe;
				$mainframe->enqueueMessage(JText::_('Datasource updated successfully'));
			}
		}

		if ($load_data) {
			$v_article_id = $this->data_get('article_id', '');
			$v_read_intro = $this->data_get('read_intro', '');
			$v_read_fulltext = $this->data_get('read_fulltext', '');
		}

		echo '
<form name="frm_datasource" method="post" action="index.php">
	<input type="hidden" name="hfrm_datasource_edit" value="' . microtime() . '" />
	<input type="hidden" name="option" value="' . htmlspecialchars(JRequest::getCmd('option')) . '" />
	<input type="hidden" name="task" value="' . htmlspecialchars(JRequest::getCmd('task')) . '" />
	<input type="hidden" name="id" value="' . htmlspecialchars(JRequest::getCmd('id')) . '" />

	<table cellspacing="10">
		<tr>
			<td>' . JText::_('Article ID') . '</td>
			<td><input type="text" name="article_id" value="' . htmlspecialchars($v_article_id) . '" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Read introductory text') . '</td>
			<td><input type="checkbox" name="read_intro" value="1"' . ($v_read_intro ? ' checked="checked"' : '') . ' /></td>
		</tr>
		<tr>
			<td>' . JText::_('Read full text') . '</td>
			<td><input type="checkbox" name="read_fulltext" value="1"' . ($v_read_fulltext ? ' checked="checked"' : '') . ' /></td>
		</tr>
	</table>

	<div>
		<input type="submit" name="btn_apply" value="' . JText::_('Apply') . '" />
		<input type="submit" name="btn_cancel" value="' . JText::_('Cancel') . '" />
	</div>
</form>
';
	}

}

$engine = new PhotoSpotDatasourceContentStoryAdmin();

?>