
/**
 * mod_smartnews
 *
 * @version 1.1
 * @author Creative Pulse
 * @copyright Creative Pulse 2009-2010
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

function SmartNewsFadeIn(iname, break_interval, ani_interval, ani_step) {
	this.iname = iname;
	this.break_interval = break_interval;
	this.ani_interval = ani_interval;
	this.ani_step = ani_step;
	this.items = [ ];
	this.i_item = -1;
	this.progress = 100;

	if (this.ani_step < 1)
		this.ani_step = 1;

	for (var i = 0; ; i++) {
		var wdg = document.getElementById(this.iname + "_" + i);
		if (!wdg)
			break;
		this.items.push(wdg);
	}

	var ver = navigator.userAgent.toLowerCase().match(/msie (\d(.\d*)?)/);
	var ie6_ie7 = ver && ver[1] && ver[1] < 8;

	var wdg = document.getElementById(this.iname);
	wdg.style.width = wdg.offsetWidth + "px";
	wdg.style.display = "block";
	wdg.style.visibility = "hidden";
	wdg.style.position = "absolute";
	wdg.style.left = "0px";
	wdg.style.top = "0px";
	var max_height = 0;
	for (var i = 0, len = this.items.length; i < len; i++) {
		this.items[i].style.display = "block";

		if (wdg.offsetHeight > max_height)
			max_height = wdg.offsetHeight;

		this.items[i].style.display = "none";

		if (ie6_ie7)
			this.items[i].style.zoom = 1;
	}
	wdg.style.height = max_height + "px";
	wdg.style.visibility = "visible";
	wdg.style.position = "static";

	this.rhythm();
}

SmartNewsFadeIn.prototype.rhythm = function () {
	if (this.progress == 100) {
		this.progress = 0;
		if (this.i_item > -1)
			this.items[this.i_item].style.display = "none";

		this.i_item++;
		if (this.i_item >= this.items.length)
			this.i_item = 0;

		this.items[this.i_item].style.display = "block";
	}

	this.progress += this.ani_step;
	if (this.progress > 100)
		this.progress = 100;

	this.items[this.i_item].style.opacity = this.progress / 100;
	this.items[this.i_item].style.filter = "alpha(opacity=" + this.progress + ")";

	setTimeout('document["' + this.iname + '"].rhythm()', this.progress == 100 ? this.break_interval : this.ani_interval);
}

function smartnews_fadein_init() {
	for (k in document.smartnews_fadein_conf) if (document.smartnews_fadein_conf.hasOwnProperty(k)) {
		var conf = document.smartnews_fadein_conf[k];
		document[conf.iname] = new SmartNewsFadeIn(conf.iname, conf.break_interval, conf.ani_interval, conf.ani_step);
	}
}

if (window.addEventListener)
	window.addEventListener("load", smartnews_fadein_init, false);
else if (window.attachEvent)
	window.attachEvent("onload", smartnews_fadein_init);
