<?php

/**
 * Slide One TBA - Photospot Viewer
 *
 * @package slideone_tba
 * @version 1.0
 * @copyright Creative Pulse 2010
 * @link http://www.creativepulse.eu/
 */

class PhotoSpotViewerSlideoneTbaAdmin extends PhotoSpotViewerAdmin {

	function setup() {
		$this->data_set('speed', '10');
		$this->data_set('idle_secs', '10');
		$this->data_set('thumb_position', 'bottom_right');
		$this->data_set('thumb_offset_x', '10');
		$this->data_set('thumb_offset_y', '10');
		$this->data_set('thumb_width', '20');
		$this->data_set('thumb_height', '20');
		$this->save();
	}

	function edit() {
		$load_data = true;

		if (JRequest::getCmd('hfrm_viewer_edit', '', 'POST') != '') {
			$load_data = false;
			$v_speed = trim($this->get('speed', '5'));
			$v_idle_secs = trim($this->get('idle_secs', '10'));
			$v_width = trim($this->get('width', ''));
			$v_height = trim($this->get('height', ''));
			$v_class_container = trim($this->get('class_container', ''));
			$v_class_panel = trim($this->get('class_panel', ''));
			$v_class_img = trim($this->get('class_img', ''));
			$v_class_button = trim($this->get('class_button', ''));
			$v_thumb_position = trim($this->get('thumb_position', ''));
			$v_thumb_offset_x = trim($this->get('thumb_offset_x', ''));
			$v_thumb_offset_y = trim($this->get('thumb_offset_y', ''));
			$v_thumb_width = trim($this->get('thumb_width', ''));
			$v_thumb_height = trim($this->get('thumb_height', ''));


			if ($this->page_refreshed) {
				// ignore page refreshes
			}
			else if (JRequest::getCmd('btn_cancel', '', 'POST') != '') {
				// form cancelled
				$load_data = true;
			}
			else {
				// form submitted successfully

				$error_msg = '';

				if ($v_speed == '')
					$error_msg = JText::_('The value for the animation speed is not set');
				else if (!ctype_digit($v_speed))
					$error_msg = JText::_('The value for the animation speed is not a valid number');
				else if (intval($v_speed) < 1 || intval($v_speed) > 100)
					$error_msg = JText::_('The value for the animation speed must be between 1 - 100');
				else if ($v_idle_secs != '' && !ctype_digit($v_idle_secs))
					$error_msg = JText::_('The value for the idle seconds is not a valid number');
				else if ($v_width != '' && !ctype_digit($v_width))
					$error_msg = JText::_('The value for the width is not a valid number');
				else if ($v_height != '' && !ctype_digit($v_height))
					$error_msg = JText::_('The value for the height is not a valid number');
				else if ($v_thumb_offset_x != '' && !ctype_digit($v_thumb_offset_x))
					$error_msg = JText::_('The value for the offset X for the thumbnail bar is not a valid number');
				else if ($v_thumb_offset_y != '' && !ctype_digit($v_thumb_offset_y))
					$error_msg = JText::_('The value for the offset Y for the thumbnail bar is not a valid number');
				else if ($v_thumb_width == '')
					$error_msg = JText::_('The value for the thumb width is not set');
				else if (!ctype_digit($v_thumb_width))
					$error_msg = JText::_('The value for the thumb width is not a valid number');
				else if ($v_thumb_height == '')
					$error_msg = JText::_('The value for the thumb height is not set');
				else if (!ctype_digit($v_thumb_height))
					$error_msg = JText::_('The value for the thumb height is not a valid number');

				if ($error_msg == '') {
					$this->data_set('speed', $v_speed);
					$this->data_set('idle_secs', $v_idle_secs);
					$this->data_set('width', $v_width);
					$this->data_set('height', $v_height);
					$this->data_set('class_container', $v_class_container);
					$this->data_set('class_panel', $v_class_panel);
					$this->data_set('class_img', $v_class_img);
					$this->data_set('class_button', $v_class_button);
					$this->data_set('thumb_position', $v_thumb_position);
					$this->data_set('thumb_offset_x', $v_thumb_offset_x);
					$this->data_set('thumb_offset_y', $v_thumb_offset_y);
					$this->data_set('thumb_width', $v_thumb_width);
					$this->data_set('thumb_height', $v_thumb_height);
					$this->save();

					global $mainframe;
					$mainframe->enqueueMessage(JText::_('Viewer updated successfully'));
				}
				else {
					JError::raiseWarning($error_msg, $error_msg);
				}
			}
		}

		if ($load_data) {
			$v_speed = $this->data_get('speed', '');
			$v_idle_secs = $this->data_get('idle_secs', '');
			$v_width = $this->data_get('width', '');
			$v_height = $this->data_get('height', '');
			$v_class_container = $this->data_get('class_container', '');
			$v_class_panel = $this->data_get('class_panel', '');
			$v_class_img = $this->data_get('class_img', '');
			$v_class_button = $this->data_get('class_button', '');
			$v_thumb_position = $this->data_get('thumb_position', '');
			$v_thumb_offset_x = $this->data_get('thumb_offset_x', '');
			$v_thumb_offset_y = $this->data_get('thumb_offset_y', '');
			$v_thumb_width = $this->data_get('thumb_width', '');
			$v_thumb_height = $this->data_get('thumb_height', '');
		}

		echo '
<form name="frm" method="post" action="index.php">
	<input type="hidden" name="hfrm_viewer_edit" value="' . microtime() . '" />
	<input type="hidden" name="option" value="' . htmlspecialchars(JRequest::getCmd('option')) . '" />
	<input type="hidden" name="task" value="' . htmlspecialchars(JRequest::getCmd('task')) . '" />
	<input type="hidden" name="id" value="' . htmlspecialchars(JRequest::getCmd('id')) . '" />

	<table cellspacing="10">
		<tr>
			<td>' . JText::_('Animation speed') . '</td>
			<td><input type="text" name="speed" value="' . htmlspecialchars($v_speed) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Idle seconds') . '</td>
			<td><input type="text" name="idle_secs" value="' . htmlspecialchars($v_idle_secs) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Width') . '</td>
			<td><input type="text" name="width" value="' . htmlspecialchars($v_width) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Height') . '</td>
			<td><input type="text" name="height" value="' . htmlspecialchars($v_height) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('CSS class - Container') . '</td>
			<td><input type="text" name="class_container" value="' . htmlspecialchars($v_class_container) . '" size="30" /></td>
		</tr>
		<tr>
			<td>' . JText::_('CSS class - Panel') . '</td>
			<td><input type="text" name="class_panel" value="' . htmlspecialchars($v_class_panel) . '" size="30" /></td>
		</tr>
		<tr>
			<td>' . JText::_('CSS class - Image') . '</td>
			<td><input type="text" name="class_img" value="' . htmlspecialchars($v_class_img) . '" size="30" /></td>
		</tr>
		<tr>
			<td>' . JText::_('CSS class - Button') . '</td>
			<td><input type="text" name="class_button" value="' . htmlspecialchars($v_class_button) . '" size="30" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Thumbnail bar position') . '</td>
			<td>
				<select name="thumb_position" />
					<option value="hide"' . ($v_thumb_position == 'hide' ? ' selected="selected"' : '') . '>' . JText::_('Hide') . '</option>
					<option value="top_left"' . ($v_thumb_position == 'top_left' ? ' selected="selected"' : '') . '>' . JText::_('Top - Left') . '</option>
					<option value="top_right"' . ($v_thumb_position == 'top_right' ? ' selected="selected"' : '') . '>' . JText::_('Top - Right') . '</option>
					<option value="bottom_left"' . ($v_thumb_position == 'bottom_left' ? ' selected="selected"' : '') . '>' . JText::_('Bottom - Left') . '</option>
					<option value="bottom_right"' . ($v_thumb_position == 'bottom_right' ? ' selected="selected"' : '') . '>' . JText::_('Bottom - Right') . '</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>' . JText::_('Thumbnail bar offset X') . '</td>
			<td><input type="text" name="thumb_offset_x" value="' . htmlspecialchars($v_thumb_offset_x) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Thumbnail bar offset Y') . '</td>
			<td><input type="text" name="thumb_offset_y" value="' . htmlspecialchars($v_thumb_offset_y) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Thumbnail button width') . '</td>
			<td><input type="text" name="thumb_width" value="' . htmlspecialchars($v_thumb_width) . '" size="5" /></td>
		</tr>
		<tr>
			<td>' . JText::_('Thumbnail button height') . '</td>
			<td><input type="text" name="thumb_height" value="' . htmlspecialchars($v_thumb_height) . '" size="5" /></td>
		</tr>
	</table>

	<div>
		<input type="submit" name="btn_cancel" value="' . JText::_('Cancel') . '" />
		<input type="submit" name="btn_apply" value="' . JText::_('Apply') . '" />
	</div>
</form>
';
	}

}

$engine = new PhotoSpotViewerSlideoneTbaAdmin();

?>