<?php

/**
 * mod_smartnews
 *
 * @version 1.1
 * @author Creative Pulse
 * @copyright Creative Pulse 2009-2010
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class ModSmartNews {

	function instance_id($new = false) {
		static $num = 0;

		if ($new)
			$num++;

		return $num;
	}

	function json_esc($input, $esc_lt_gt = true) {
		$result = '';
		$input = (string) $input;
		$conv = array( "'" => "'", '"' => '"', '&' => '&', '\\' => '\\', "\n" => 'n', "\r" => 'r', "\t" => 't', "\b" => 'b', "\f" => 'f' );

		if ($esc_lt_gt)
			$conv = array_merge($conv, array( '<' => 'u003C', '>' => 'u003E' ));

		for ($i = 0, $len = strlen($input); $i < $len; $i++)
			$result .= isset($conv[$input{$i}]) ? '\\' . $conv[$input{$i}] : $input{$i};

		return $result;
	}

	function prepare(&$params) {
		$this->iname = 'smartnews' . $this->instance_id(true);

		$catid = (int) $params->get('catid', 0);
		$items = (int) $params->get('items', 0);

		$this->break_interval = (int) $params->get('break_interval', 0);
		if ($this->break_interval == 0)
			$this->break_interval = 4000;

		$this->ani_interval = (int) $params->get('ani_interval', 0);
		if ($this->ani_interval == 0)
			$this->ani_interval = 20;

		$this->ani_step = (int) $params->get('ani_step', 0);
		if ($this->ani_step == 0)
			$this->ani_step = 3;
		else if ($this->ani_step > 100)
			$this->ani_step = 100;

		$this->ani_side = (int) $params->get('ani_side', 0);
		if ($this->ani_side == 0)
			$this->ani_side = 10;

		$db =& JFactory::getDBO();

		$user =& JFactory::getUser();
		$aid = $user->get('aid', 0);

		$contentConfig = &JComponentHelper::getParams( 'com_content' );
		$noauth = !$contentConfig->get('show_noauth');
		$date =& JFactory::getDate();
		$now = $date->toMySQL();

		$nullDate = $db->getNullDate();

		require_once(JPATH_SITE . '/components/com_content/helpers/route.php');

		$query =
'SELECT a.*,
CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,
CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug
FROM #__content AS a
INNER JOIN #__categories AS cc ON cc.id = a.catid
WHERE a.state = 1
' . ($noauth ? ' AND a.access >= ' . (int) $aid . ' AND cc.access >= ' . (int) $aid : '') . '
AND (a.publish_up = ' . $db->Quote($nullDate) . ' OR a.publish_up <= ' . $db->Quote($now) . ')
AND (a.publish_down = ' . $db->Quote($nullDate) . ' OR a.publish_down >= ' . $db->Quote($now) . ')
AND cc.id = ' . (int) $catid . '
AND cc.published = 1
ORDER BY a.ordering';
		$db->setQuery($query, 0, $items);
		$this->items = $db->loadObjectList();

		foreach ($this->items as $k => $item) {
			if ($item->access >= $user->get('aid', 0)) {
				$this->items[$k]->linkOn = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug));
				$this->items[$k]->linkText = JText::_('Read more text');
			}
			else {
				$this->items[$k]->linkOn = JRoute::_('index.php?option=com_user&view=login');
				$this->items[$k]->linkText = JText::_('Login To Read More');
			}
		}
	}

}

?>