<?php

/**
 * Galaxy - Joomla Template
 *
 * @package bt_galaxy
 * @version 1.0
 * @copyright BonusThemes.com 2010
 * @link http://www.bonusthemes.com/goto/bt_galaxy
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link id="css_cmenu" href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp; &nbsp; </td>' . "\n";


$dir = dirname(__FILE__) . '/images/backgrounds/';
$images = array();
if (file_exists($dir . 'index.txt')) {
	foreach (file($dir . 'index.txt') as $line) {
		$line = trim($line);
		if (preg_match('/^#?([0-9a-f]+)\s+(.*)$/i', $line, $m))
			$images[] = array('color' => $m[1], 'filename' => $m[2]);
	}
}
else {
	if ($dp = opendir($dir)) {
		while (false !== ($file = readdir($dp)))
			if (preg_match('/\.(jpg|jpeg|png|gif)$/i', $file))
				$images[] = array('color' => '', 'filename' => $file);

		closedir($dp);
	}
}

$background_css = '';
if (!empty($images)) {
	$i = mt_rand(0, count($images) - 1);
	if ($images[$i]['color'] == '')
		$background_css = 'body { background: url(templates/' . basename(dirname(__FILE__)) . '/images/backgrounds/' . $images[$i]['filename'] . ') no-repeat center top; }' . "\n";
	else
		$background_css = 'body { background: #' . $images[$i]['color'] . ' url(templates/' . basename(dirname(__FILE__)) . '/images/backgrounds/' . $images[$i]['filename'] . ') no-repeat center top; }' . "\n";
}


if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link id="css_layout" href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link id="css_template" href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '

<style type="text/css">
#wrapper { width: ' . $tpl->width . 'px; }
' . $background_css . '
</style>

' . $cmenu_js . '
<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<div id="wrapper">
	<div id="top">
		<div id="top_area">
			<div id="spacer1"></div>
			<div class="pg_outer">
' . $tpl->get_positions(array('top1', 'top2', 'top3', 'top4')) . '
			</div>
		</div>
		<div id="spacer2"></div>
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="50">&nbsp;</td>
				<td valign="top"' . $tpl->td_width('icon') . '>
' . $tpl->get_position('icon') . '
				</td>
				' . $main_tdgap . '
				<td valign="top"' . ($tpl->show_menu ? '' : $tpl->td_width('header')) . '>
';

if ($tpl->show_menu) {
	echo '
					<div id="spacer3"></div>
					<div id="cmenu_area">
						<table cellspacing="0" cellpadding="0" align="right">
							<tr>
';

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		if ($i > 0)
			echo
'								<td><div class="cmenu_hd_gap"> &nbsp; </div></td>
';


		$mi = &$tpl->menu_head_tags[$i];

		printf(
'								<td class="cmenu_hd_l_%1$s%5$s" width="10"><img src="' . $tpl->path . '/images/blank.gif" width="10" height="41" alt="" /></td>
								<td class="cmenu_hd_c_%1$s%5$s" id="%2$s" nowrap="nowrap">%3$s%4$s</td>
								<td class="cmenu_hd_r_%1$s%5$s" width="10"><img src="' . $tpl->path . '/images/blank.gif" width="10" height="41" alt="" /></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' <img src="' . $tpl->path . '/images/blank.gif" class="submenu" width="9" height="5" alt="" />',
			empty($mi->sub_menu_items) ? '' : '_sub'
		);
	}

	echo '
							</tr>
						</table>
					</div>
';
}
else {
	echo $tpl->get_position('header');
}

echo '
				</td>
				<td width="50">&nbsp;</td>
			</tr>
		</table>
	</div>
';

$decoration_main_start = '<div class="cnt_main">';
$decoration_main_end = '</div>';

$decoration_last_start = '<div class="cnt_last_l1"><div class="cnt_last_l2"><div class="cnt_last_l3">';
$decoration_last_end = '</div></div></div>';

$need_page_splitter = false;

if ($tpl->ads_visible) {
	echo '
	<div class="pgl"><div class="pgr"><div class="pgc"><div class="pg_inner">' . ($tpl->ads_is_last ? $decoration_last_start : $decoration_main_start) . '
		<div id="spacer4"></div>
' . $tpl->get_positions(array('ads1', 'ads2', 'ads3', 'ads4'), 'spacer5', true, true, '', $main_tdgap) . '
' . $tpl->get_positions(array('ads5', 'ads6', 'ads7', 'ads8'), 'spacer6', true, true, '', $main_tdgap) . '
	' . ($tpl->ads_is_last ? $decoration_last_end : $decoration_main_end) . '</div></div></div></div>
';

	$need_page_splitter = true;
}

if ($tpl->show_body()) {
	if ($need_page_splitter)
		echo '
	<div class="pg_splitter"></div>
';

	echo '
	<div class="pgl"><div class="pgr"><div class="pgc"><div class="pg_inner">' . ($tpl->main_is_last ? $decoration_last_start : $decoration_main_start) . '
		<div id="spacer7"></div>
';

	if ($tpl->modcount('breadcrumb'))
		echo '
		<a href="' . $tpl->get_home() . '"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.png" width="36" height="36" alt="" /></a>
		<div id="pathway">
' . $tpl->get_pathway() . '
		</div>
		<div id="spacer8"></div>

';

	if ($tpl->modcount('newsflash'))
		echo $tpl->get_position('newsflash', true, true) . '
		<div id="spacer9"></div>
';

	echo $tpl->get_positions(array('news1', 'news2', 'news3'), 'spacer10', true, false, '', $main_tdgap);

	if ($tpl->show_body()) {
		if ($tpl->modcount('left') || $tpl->modcount('left_down') || $tpl->modcount('right') || $tpl->modcount('right_down'))
			echo '
<table cellspacing="0" cellpadding="0" width="100%">
	<tr>
';

		if ($tpl->modcount('left') || $tpl->modcount('left_down'))
			echo '
		<td valign="top"' . $tpl->td_width(array('left', 'left_down'), true) . '>
' . $tpl->get_position('left') . '
' . $tpl->get_position('left_down') . '
		</td>
		' . $main_tdgap . '
';

		if ($tpl->modcount('left') || $tpl->modcount('left_down') || $tpl->modcount('right') || $tpl->modcount('right_down'))
			echo '
		<td valign="top">
';

		if ($tpl->show_body() == 1)
			echo
'<div class="btarticle_tl"></div>
<div class="btarticle_tr"></div>
<div class="btarticle_tc"></div>

<div class="btarticle_mc">
	<div class="mstyle_tgap">&nbsp;</div>
	<div class="mstyle_inner">
';

		echo $tpl->get_message() . '
' . $tpl->get_mainbody_wrapper();

		if ($tpl->show_body() == 1)
			echo
'	</div>
	<div class="mstyle_bgap">&nbsp;</div>
</div>

<div class="btarticle_bl"></div>
<div class="btarticle_br"></div>
<div class="btarticle_bc"></div>
';

		if ($tpl->modcount('left') || $tpl->modcount('left_down') || $tpl->modcount('right') || $tpl->modcount('right_down'))
			echo '
		</td>
';

		if ($tpl->modcount('right') || $tpl->modcount('right_down'))
			echo '
		' . $main_tdgap . '
		<td valign="top"' . $tpl->td_width(array('right', 'right_down'), true) . '>
' . $tpl->get_position('right') . '
' . $tpl->get_position('right_down') . '
		</td>
';

		if ($tpl->modcount('left') || $tpl->modcount('left_down') || $tpl->modcount('right') || $tpl->modcount('right_down'))
			echo '
	</tr>
</table>
';
	}

	echo $tpl->get_positions(array('notice1', 'notice2', 'notice3'), 'spacer11', false, false, '', $main_tdgap);

	if ($tpl->modcount('banner'))
		echo
'		<div id="spacer12"></div>
' . $tpl->get_position('banner', true, true);

	echo '
		<div id="spacer13"></div>
	' . ($tpl->main_is_last ? $decoration_last_end : $decoration_main_end) . '</div></div></div></div>
';

	$need_page_splitter = true;
}

if ($tpl->bottom_visible) {
	if ($need_page_splitter)
		echo '
	<div class="pg_splitter"></div>
';

	echo '
	<div class="pgl"><div class="pgr"><div class="pgc"><div class="pg_inner">' . $decoration_last_start . '
		<div id="spacer14"></div>
' . $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4'), 'spacer15', true, true, '', $main_tdgap) . '
	' . $decoration_last_end . '</div></div></div></div>
';
}

echo '
	<div id="footer_area">
		<div id="spacer16"></div>

		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="55"> &nbsp; </td>
';

if ($tpl->lshow)
	echo '
				<td width="75">
					<a id="lshow" href="http://www.bonusthemes.com" onfocus="blur()" target="_blank"><img id="img_lshow" src="' . $tpl->path . '/images/layout/btlogo.png" alt="BonusThemes.com" border="0" /></a>
				</td>
';

echo '
				<td align="center">
' . $tpl->get_position('footer') . '
				</td>
				<td width="75" nowrap="nowrap" align="right">
					<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()">' . JText::_('go to top') . '</a>
					&nbsp;
					<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()">
						<img src="' . $tpl->path . '/images/layout/goto_top.gif" width="11" height="7" alt="Top" border="0" />
					</a>
				</td>
				<td width="55"> &nbsp; </td>
			</tr>
		</table>

		<div id="spacer17"></div>

		<div class="pg_outer">
' . $tpl->get_position('undermost') . '
		</div>
	</div>

</div>
';

if ($tpl->seocp)
	echo '
<script type="text/javascript">
// <![CDATA[

// position mainbody
document.getElementById("mainbody_area").appendChild(document.getElementById("mainbody"));

// ]]>
</script>
';

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_debug();

echo '
</body>
</html>
';

?>